ru.bitel.bgbilling.plugins.documents.common.bean

## Enum SupportedFileFormat

- java.lang.Object
- - java.lang.Enum<SupportedFileFormat>
  - - ru.bitel.bgbilling.plugins.documents.common.bean.SupportedFileFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SupportedFileFormat>

      public enum SupportedFileFormat
      extends java.lang.Enum<SupportedFileFormat>

  Перечисление с поддерживаемыми форматами документов, с которыми работает плагин. При необходимости можно дополнять новыми форматами.
  Author:
    reflexive

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOCX`
    `ODT`
    `XLSX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getExtensionId()`
    `java.lang.String` | `getExtensionTitle()`
    `static SupportedFileFormat` | `getSupportedFormat(java.lang.String extension)`
    `static SupportedFileFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SupportedFileFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOCX

          public static final SupportedFileFormat DOCX

    - #### XLSX

          public static final SupportedFileFormat XLSX

    - #### ODT

          public static final SupportedFileFormat ODT

  - ### Method Detail

    - #### values

          public static SupportedFileFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SupportedFileFormat c : SupportedFileFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SupportedFileFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getExtensionId

          public int getExtensionId()

    - #### getExtensionTitle

          public java.lang.String getExtensionTitle()

    - #### getSupportedFormat

          public static SupportedFileFormat getSupportedFormat(java.lang.String extension)